#!/bin/bash

LD_LIBRARY_PATH=../../lib
export LD_LIBRARY_PATH

if [ ! -x holdlock ]
then
	echo "Run make -f holdlock.mak"
	echo "Then rerun this step"
	exit 1
fi

# Initialize a new database
rm -f tst.bt
initbt -m new -n 11 -r 16 -k 8 -o 4 tst.bt

# populate the database
bldbt tst.bt 128

# count the records in the database
btsize tst.bt

# lock the database on one terminal
# run tstlock.sh on another terminal
holdlock tst.bt
# Press enter to terminate holdlock
# Then re-run tstlock.sh on the other terminal
